### Method

# EDataBook SystemLocaleWatcher dup_locale

since: 3.30

#### Declaration [src]

    gchar*
    e_system_locale_watcher_dup_locale (
      ESystemLocaleWatcher* watcher
    )

#### Description [src]

Returns the current locale, as detected by the `watcher`. The string is duplicated for thread safety. It can be `NULL`, when the locale was not detected yet.

Free it with g_free(), when no longer needed.

Available since: 3.30

#### Return value

Type: `gchar*`

The system locale, as detected by the `watcher`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.